MonoDevelop.Core 0.9.0.0 System.Object
- Constructor
  To be added.
  To be added.
- Method
  System.Int32 `` `` Identifier of the application. Arguments to provide to the application. Executes an add-in application. Status code reported by the application. To be added.
- Method
  System.Boolean `` Identifier of the add-in. Indicates whether an add-in has been loaded. 'true' if the add-in has been loaded, 'false' otherwise. To be added.
- Method
  System.Void `` `System.ParamArray` Monitor object where progress will be reported. Extension points to be required. Loads the installed add-ins which provide extensions to the specified extension points. This method can be used to load add-ins in a controlled way, since add-ins are usually loaded only under demand. Errors found during add-in load are reported in the AddInLoadErrors property.
- Method
  System.Object[] `` Extension path. Gets an array of objects declared at the specified extension path. An array with the objects at the specified extension path. All add-ins that extend the specified extension point are automatically loaded. Errors found during add-in load are reported in the AddInLoadErrors property.
- Method
  System.Array `` `` Extension path. To be added. Gets an array of objects declared at the specified extension path. An array with the objects at the specified extension path. All add-ins that extend the specified extension point are automatically loaded. Errors found during add-in load are reported in the AddInLoadErrors property.
- Method
  System.Object[] `` An extension path. Gets an array of codon objects declared at the specified extension path. An array with the codon objects at the specified extension path. A codon is an object that represents the XML element declared in an XML add-in file. All add-ins that extend the specified extension point are automatically loaded. Errors found during add-in load are reported in the AddInLoadErrors property.
- Method
  MonoDevelop.Core.AddIns.IAddInTreeNode `` An extension path. Gets the tree node at the specified extension path. The tree node at the specified extension path. All add-ins that extend the specified extension point are automatically loaded. Errors found during add-in load are reported in the AddInLoadErrors property.
- Property
  MonoDevelop.Core.AddIns.AddinError[] The list of errors found while loading add-ins. The list of errors found while loading add-ins. To be added.
This service provides methods for loading add-ins and for getting information about currently loaded add-ins. To be added.